## org.apache.batik.apps.svgbrowser
Class DOMDocumentTree.TreeDropTargetListener

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMDocumentTree.TreeDropTargetListener

All Implemented Interfaces:
  java.awt.dnd.DropTargetListener, java.util.EventListener

Enclosing class:
  DOMDocumentTree

    public class DOMDocumentTree.TreeDropTargetListener

extends java.lang.Object
implements java.awt.dnd.DropTargetListener

Tree as a drop target listener.

Field Summary
`protected javax.swing.JPanel` `visualTipGlassPane` Glasspane where 'visual tip' line is drawn

Constructor Summary
`DOMDocumentTree.TreeDropTargetListener(DOMDocumentTree tree)` Constructor.

Method Summary
`void` `dragEnter(java.awt.dnd.DropTargetDragEvent dtde)`
`void` `dragExit(java.awt.dnd.DropTargetEvent dte)`
`void` `dragOver(java.awt.dnd.DropTargetDragEvent dtde)`
`void` `drop(java.awt.dnd.DropTargetDropEvent dtde)`
`void` `dropActionChanged(java.awt.dnd.DropTargetDragEvent dtde)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### visualTipGlassPane

    protected javax.swing.JPanel visualTipGlassPane

  Glasspane where 'visual tip' line is drawn

Constructor Detail

### DOMDocumentTree.TreeDropTargetListener

    public DOMDocumentTree.TreeDropTargetListener(DOMDocumentTree tree)

  Constructor.

Method Detail

### dragEnter

    public void dragEnter(java.awt.dnd.DropTargetDragEvent dtde)

  Specified by:
    `dragEnter` in interface `java.awt.dnd.DropTargetListener`

### dragOver

    public void dragOver(java.awt.dnd.DropTargetDragEvent dtde)

  Specified by:
    `dragOver` in interface `java.awt.dnd.DropTargetListener`

### dropActionChanged

    public void dropActionChanged(java.awt.dnd.DropTargetDragEvent dtde)

  Specified by:
    `dropActionChanged` in interface `java.awt.dnd.DropTargetListener`

### drop

    public void drop(java.awt.dnd.DropTargetDropEvent dtde)

  Specified by:
    `drop` in interface `java.awt.dnd.DropTargetListener`

### dragExit

    public void dragExit(java.awt.dnd.DropTargetEvent dte)

  Specified by:
    `dragExit` in interface `java.awt.dnd.DropTargetListener`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.